## org.eclipse.emf.compare.diff.metamodel
Interface UpdateContainmentFeature

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, ModelElementChange, MoveModelElement, org.eclipse.emf.common.notify.Notifier, UpdateModelElement

All Known Implementing Classes:
  UpdateContainmentFeatureImpl

    public interface UpdateContainmentFeature

extends MoveModelElement

A representation of the model object 'Update Containment Feature'. This particular kind of move operation describe a change of containment reference of a given element within the same container.

See Also:
  `DiffPackage.getUpdateContainmentFeature()`

Method Summary

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.MoveModelElement
`getLeftTarget, getRightTarget, setLeftTarget, setRightTarget`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.UpdateModelElement
`getLeftElement, getRightElement, setLeftElement, setRightElement`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2006 IBM Corporation and others. All Rights Reserved.